### Name: Daim
### Title: Diagnostic accuracy of classification models.
### Aliases: Daim
### Keywords: classif models programming

### ** Examples


  library(ipred)
  data(GlaucomaM)
  head(GlaucomaM)

  mylda <- function(formula,train,test){
        model <- lda(formula,train)
        predict(model,test)$posterior[,"pos"]
  }

  ACC <- Daim(Class~.,model=mylda,data=GlaucomaM,labpos="glaucoma")
  ACC
  summary(ACC)

  ####
  #### for parallel computing with snow cluster
  ####
 
  # library(snow)
  ### 
  ### create cluster with two slave nodes

  # cl <- makeCluster(2)

  ###
  ### Load used library on all slaves and execute the Daim in parallel
  ###

  # clusterEvalQ(cl, library(ipred))
  # ACC <- Daim(Class~.,model=mylda,data=GlaucomaM,labpos="glaucoma",cluster=cl)
  # ACC

  ####
  #### for parallel computing with multicore package 
  #### you need only to load this library
  ####

  # library(multicore)
  # ACC <- Daim(Class~.,model=mylda,data=GlaucomaM,labpos="glaucoma")
  # ACC

  library(randomForest)

  myRF <- function(formula,train,test){
        model <- randomForest(formula,train)
        predict(model,test,type="prob")[,"pos"]
  }

  ACC2 <- Daim(Class~.,model=myRF,data=GlaucomaM,labpos="glaucoma",
        control=Daim.control(number=25))
  ACC2
  summary(ACC2)

  ####
  #### for parallel computing with snow cluster
  ####

  # library(snow)
  ### 
  ### create cluster with two slave nodes

  # cl <- makeCluster(2)

  ###
  ### Load used library on all slaves and execute the Daim in parallel
  ###

  # clusterEvalQ(cl, library(randomForest))
  # ACC2 <- Daim(Class~.,model=myRF,data=GlaucomaM,labpos="glaucoma",cluster=cl)
  # ACC2

  ####
  #### for parallel computing with multicore package
  ####

  # library(multicore)
  # ACC2 <- Daim(Class~.,model=myRF,data=GlaucomaM,labpos="glaucoma")
  # ACC2




